﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace AddReferenceLineToChart115488
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ObservableCollection<DataPoint> DataList;

        public MainWindow()
        {
            InitializeComponent();
            xamDataChart1.Loaded += new RoutedEventHandler(xamDataChart1_Loaded);
        }

        void xamDataChart1_Loaded(object sender, RoutedEventArgs e)
        {
            UpdateReferenceSeries();

            xamDataChart1.Series["referenceSeries"].ItemsSource = DataList;
        }

        void UpdateReferenceSeries()
        {
            //Should be called whenever chart data is updated
            DataList = new ObservableCollection<DataPoint>();

            int minY = (int)Math.Round(numericYAxis.ActualMinimumValue);
            int maxY = (int)Math.Round(numericYAxis.ActualMaximumValue);

            int minX = (int)Math.Round(numericXAxis.ActualMinimumValue);
            int maxX = (int)Math.Round(numericXAxis.ActualMaximumValue);

            DataList.Add(new DataPoint() { xPoint = minX, yPoint = minY });
            DataList.Add(new DataPoint() { xPoint = maxX, yPoint = maxY });
        }
    }
}
